Docs

Call counts by state, outcome and direction

GEThttps://server.heyrik.com/api/v1/calls/stats

Headers

AuthorizationstringRequired

Use Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.

Get your API key
GET/calls/stats
curl https://server.heyrik.com/api/v1/calls/stats \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
Response example
{
  "data": {
    "total": 412,
    "connected": 355,
    "disconnected": 33,
    "byState": { "ENDED": 388, "FAILED": 24 },
    "byOutcome": { "resolved": 240, "callback": 88 },
    "byDirection": { "inbound": 210, "outbound": 202 }
  }
}

Illustrative examples · No live request is sent

Docs

Build sophisticated voice experiences with HeyRik.

© 2026 HeyRik · Support